<?php

namespace App\Policies;

use App\Models\Line;
use App\Models\User;

class LinePolicy extends BasePolicy
{
    protected string $prefix = 'lines';

    public function sell(User $user, Line $line): bool
    {
        return $user->can('lines.sell');
    }

    public function transfer(User $user, Line $line): bool
    {
        return $user->can('lines.transfer');
    }

    public function cancel(User $user, Line $line): bool
    {
        return $user->can('lines.cancel');
    }
}
